<?php

namespace App\Repositories\Shop;

use App\Models\Shop\Tax;
use App\Traits\Model\Basic;

class Taxes
{
    use Basic;

    public static function getOptions()
    {
        return Tax::orderBy('value', 'asc')->pluck('value', 'id')->toArray();
    }

    public static function getAll()
    {
        return Tax::orderBy('value', 'asc')->get();
    }

    public static function getModel()
    {
        return Tax::query();
    }
}
